summaryrefslogtreecommitdiff
path: root/package/avahi/S50avahi-daemon
diff options
context:
space:
mode:
Diffstat (limited to 'package/avahi/S50avahi-daemon')
-rw-r--r--package/avahi/S50avahi-daemon20
1 files changed, 20 insertions, 0 deletions
diff --git a/package/avahi/S50avahi-daemon b/package/avahi/S50avahi-daemon
new file mode 100644
index 000000000..81ac51316
--- /dev/null
+++ b/package/avahi/S50avahi-daemon
@@ -0,0 +1,20 @@
+#!/bin/sh
+#
+# avahi-daemon init script
+
+DAEMON=/usr/sbin/avahi-daemon
+case "$1" in
+ start)
+ $DAEMON -c || $DAEMON -D
+ ;;
+ stop)
+ $DAEMON -c && $DAEMON -k
+ ;;
+ reload)
+ $DAEMON -c && $DAEMON -r
+ ;;
+ *)
+ echo "Usage: S50avahi-daemon {start|stop|reload}" >&2
+ exit 1
+ ;;
+esac